﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace Performance.DtoModels
{
    public enum ExcelVersion
    {
        xlsx,
        xls
    }

    public enum SheetType
    {
        [Description("无法识别")]
        Unidentifiable = 1,
        [Description("医院人员名单")]
        Employee = 2,
        [Description("收入")]
        Income = 3,
        [Description("其他收入")]
        OtherIncome = 4,
        [Description("支出")]
        Expend = 5,
        [Description("加班")]
        Overtime = 6,
        [Description("工作量")]
        Workload = 7,
        [Description("特殊核算单元")]
        SpecialUnit = 8,
        [Description("临床科室医护绩效测算基础")]
        DeptAccounting = 9,

        [Description("科室经济核算汇总表")]
        ComputeEconomic = 10,
        [Description("医生工作量计算")]
        ComputeDoctorWorkload = 11,
        [Description("护士工作量计算")]
        ComputeNurseWorkload = 12,
        [Description("临床科室医生绩效测算表")]
        ComputeDoctorAccount = 13,
        [Description("临床科室护士绩效测算表")]
        ComputeNurseAccount = 14,
    }

    /// <summary>
    /// 职位归类 
    /// </summary>
    public enum EmpolyeeType
    {
        /// <summary> 院领导 </summary>
        [Description("院领导")]
        TopManage = 1,
        /// <summary> 行政中层 </summary>
        [Description("行政中层")]
        MiddleManage = 2,
        /// <summary> 行政中层 </summary>
        [Description("行政工勤")]
        LogisticsWorkers = 3,
        /// <summary> 行政中层 </summary>
        [Description("临床科室主任")]
        Director = 4,
        /// <summary> 行政中层 </summary>
        [Description("临床科室副主任")]
        DeputyDirector = 5,
        /// <summary> 行政中层 </summary>
        [Description("临床科室护士长")]
        Nurse = 6,
    }
}
